CookieProcessorBase (Apache Tomcat 9.0.107 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http, class: CookieProcessorBase

# Class CookieProcessorBase

java.lang.Object
org.apache.tomcat.util.http.CookieProcessorBase

All Implemented Interfaces:
  `CookieProcessor`

Direct Known Subclasses:
  `LegacyCookieProcessor`, `Rfc6265CookieProcessor`

public abstract class CookieProcessorBase extends Object implements CookieProcessor

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `ANCIENT_DATE`
  `protected static final ThreadLocal<DateFormat>`
  `COOKIE_DATE_FORMAT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CookieProcessorBase()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCookiesWithoutEquals()`
  `protected CookiesWithoutEquals`
  `getCookiesWithoutEqualsInternal()`
  `boolean`
  `getPartitioned()`
  Should the `Partitioned` attribute be added by default to cookies created for this web application.
  `SameSiteCookies`
  `getSameSiteCookies()`
  `void`
  `setCookiesWithoutEquals(String cookiesWithoutEquals)`
  `void`
  `setPartitioned(boolean partitioned)`
  Configure whether the `Partitioned` attribute should be added by default to cookies created for this web application.
  `void`
  `setSameSiteCookies(String sameSiteCookies)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tomcat.util.http.CookieProcessor

  `generateHeader, generateHeader, getCharset, parseCookieHeader`

- ## Field Details

  - ### COOKIE_DATE_FORMAT

    protected static final ThreadLocal<DateFormat> COOKIE_DATE_FORMAT

  - ### ANCIENT_DATE

    protected static final String ANCIENT_DATE

- ## Constructor Details

  - ### CookieProcessorBase

    public CookieProcessorBase()

- ## Method Details

  - ### getCookiesWithoutEquals

    public String getCookiesWithoutEquals()

  - ### getCookiesWithoutEqualsInternal

    protected CookiesWithoutEquals getCookiesWithoutEqualsInternal()

  - ### setCookiesWithoutEquals

    public void setCookiesWithoutEquals(String cookiesWithoutEquals)

  - ### getSameSiteCookies

    public SameSiteCookies getSameSiteCookies()

  - ### setSameSiteCookies

    public void setSameSiteCookies(String sameSiteCookies)

  - ### getPartitioned

    public boolean getPartitioned()
    Should the `Partitioned` attribute be added by default to cookies created for this web application.

    The name of the attribute used to indicate a partitioned cookie as part of CHIPS is not defined by an RFC and may change in a non-backwards compatible way once equivalent functionality is included in an RFC.

    Returns:
      `true` if the `Partitioned` attribute should be added by default to cookies created for this web application, otherwise `false`

  - ### setPartitioned

    public void setPartitioned(boolean partitioned)
    Configure whether the `Partitioned` attribute should be added by default to cookies created for this web application.

    The name of the attribute used to indicate a partitioned cookie as part of CHIPS is not defined by an RFC and may change in a non-backwards compatible way once equivalent functionality is included in an RFC.

    Parameters:
      `partitioned` - `true` if the `Partitioned` attribute should be added by default to cookies created for this web application, otherwise `false`